<?php include('casa/setup.casa.php');
	$codigo = substr(sha1(uniqid()),1,7);	
	$codigo_entrega = substr(md5(uniqid()),1,7);	
	$codigo_venta = $_SESSION['codigo_venta'];
	$cmbTipoPago = DataForms::POST('cmbTipoPago');
		switch($cmbTipoPago){
			case 1: $TipoPagoNombre = 'Al Contado'; break;
			case 2: $TipoPagoNombre = 'Credito'; break;
			case 3: $TipoPagoNombre = 'Transferencia'; break;			
		}
	$txtNombres = DataForms::POST('txtNombres');	
	$txtApellidos = '';
	$txtCINIT = DataForms::POST('txtCINIT');
		if($txtCINIT=='') $txtCINIT='s/n';
	$txtCelular = DataForms::POST('txtCelular');
	$txtDestino = DataForms::POST('txtDestino');	 
	$txtPuntoLista = DataForms::POST('txtPuntoLista');	 
	$txtPuntoEntrega = DataForms::POST('txtPuntoEntrega');	 
	$txtPersona = DataForms::POST('txtPersona');	 
   $txtDescuentos = DataForms::POST('txtDescuentos');	 
		
	if(trim($txtDescuentos)==''){	
		$txtDescuentos=0;
	} 
//Generar numero de listas tipo factura
$NumLista = new DB();	
//$sqlNumLista = "SELECT * FROM ventas_productos GROUP BY ven_codigo;";
$lista = 'ventascentral';
$sqlNumLista = "SELECT * FROM ventas_productos WHERE venta_tiponumera = '".$lista."' GROUP BY ven_codigo;";
$NumLista->dbSQL($sqlNumLista);
$NumeroLista = $lista.'-'.($NumLista->dbNumRows() + 1);
//Guardar cliente	
$sql = "INSERT INTO inventarios_clientes(
	clie_codigo, clie_cinit,
	clie_nombres, clie_apellidos, clie_destino, 
	clie_celular,
	clie_puntolista, clie_puntoentrega, clie_personarecoge,
	clie_tipopago, clie_tipopagonombre, clie_descuento
)VALUES(
	'$codigo', '$txtCINIT', 
	'$txtNombres', '$txtApellidos', '$txtDestino', 
	'$txtCelular',
	'$txtPuntoLista','$txtPuntoEntrega','$txtPersona',
	'$cmbTipoPago','$TipoPagoNombre', '$txtDescuentos'
);";
//Actualizar y Enlazar venta a cliente
$sqlActualizar= "UPDATE ventas_productos SET 	
	clie_codigo = '$codigo',
	ven_numerolista = '".$NumeroLista."',
	venta_tiponumera = '".$lista."'
WHERE ven_codigo = '$codigo_venta';";

//Entrega de Lista de Empaque en un Deposito o Almacen determinado
$sqlEntregas = "INSERT INTO ventas_entregas (
	entre_codigo,
	ven_codigo, entre_estado
)VALUES(
	'$codigo_entrega',
	'$codigo_venta', '-7'
);";

//Registrar para el cobro en Caja
$sqlCajeros = "INSERT INTO ventas_cajeros (
	entre_codigo,
	ven_codigo
)VALUES(
	'$codigo_entrega',
	'$codigo_venta'
);";

$db = new DB();
$db->dbSQL($sql);
$db->dbSQL($sqlActualizar);
$db->dbSQL($sqlEntregas);
$db->dbSQL($sqlCajeros);
echo '<script>self.location="'.PATH_HOME.'ventas-imprimir/'.$codigo_venta.'&cod_cliente='.$codigo.'";</script>';


//sucursal de usuario
function Sucursal($cod){
	$sql="SELECT * FROM rol_usuarios 
	WHERE us_id = '$cod';";
	$db = new DB();
	$db->dbSQL($sql);
	$db->next();
	$cod_sucursal = $db->dbField('ubica_codigo');

	$sql2 = "SELECT * FROM inventarios_ubicaciones
	WHERE ubica_codigo = '$cod_sucursal';";
	$db->dbSQL($sql2);
	$db->next();
	$ubicacion = str_replace(' ','',$db->dbField('ubica_nombre'));

	return $ubicacion;
}
?>